    The XSPEC pegpwrlw model: power law, pegged normalization.

xspegpwrlw
The xspegpwrlw model is an additive model component.

The model is described at [1] .

>>> create_model_component("xspegpwrlw", "mdl")
>>> print(mdl)

Create a component of the xspegpwrlw model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.PhoIndex thawed 1 -3 10 mdl.eMin frozen 2 -100 1e+10 keV mdl.eMax frozen 10 -100 1e+10 keV mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
PhoIndex
The power law photon index.
eMin
The lower peg for the normalization, in keV.
eMax
The upper peg for the normalization, in keV.
norm
The flux, in units of 10^-12 erg/cm^2/s, over the range eMin to eMax. If eMin=eMax then it is the flux in micro-Jy at eMin.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelPegpwrlw.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023